package com.ces.common.core.domain;

import com.ces.common.core.enums.ResultEnum;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @author Tao
 */
@Data
@AllArgsConstructor
public class Result {

    private Boolean success;

    private String code;

    private String message;

    private Object data;


    public static Result success() {
        return new Result(true, ResultEnum.SUCCESS.getCode(), ResultEnum.SUCCESS.getMessage(), null);
    }

    public static Result success(String msg) {
        return new Result(true, ResultEnum.SUCCESS.getCode(), msg, null);
    }

    public static Result success(Object data) {
        return new Result(true, ResultEnum.SUCCESS.getCode(), ResultEnum.SUCCESS.getMessage(), data);
    }

    public static Result error() {
        return new Result(false, ResultEnum.ERROR.getCode(), ResultEnum.ERROR.getMessage(), null);
    }

    public static Result error(String msg) {
        return new Result(false, ResultEnum.ERROR.getCode(), msg, null);
    }

    public Result message(String msg) {
        this.message = msg;
        return this;
    }

    public Result data(Object data) {
        this.data = data;
        return this;
    }
}
