package com.ces.common.device.dto;

import lombok.Data;

import java.util.List;

/**
 * @author Tao
 */
@Data
public class DeviceGroupDTO {

    /**
     * 分组ID
     */
    private String id;

    /**
     * 分组唯一编码
     */
    private String groupCode;

    /**
     * 分组名称
     */
    private String name;

    /**
     * 分组类型
     * 0-视频分组，1-卡口分组，2-人卡分组，默认0
     */
    private String type;

    /**
     * 分组子类型
     * 0-视频分组，1-卡口分组，2-人卡分组，默认0
     */
    private String groupCatalog;

    /**
     * 分组顺序
     */
    private Integer sortIndex;

    /**
     * 父分组ID
     */
    private String parentId;

    /**
     * 下级平台编码
     * 如果是手动录入的默认为10000
     */
    private String domainId;

    /**
     * 分组的id（外部可不参考）
     */
    private String pid;

    private List<DeviceGroupDTO> children;
}
