package com.ces.web.bxj.service.imp;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ces.web.bs.mapper.BsDeviceMapper;
import com.ces.web.bs.service.IBsDeviceService;
import com.ces.web.bxj.mapper.BxjDeviceMapper;
import com.ces.web.bxj.service.IBxjDeviceService;
import com.ces.web.device.entity.DeviceInfo;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


@Service
public class BxjDeviceServiceImpl extends ServiceImpl<BxjDeviceMapper, DeviceInfo> implements IBxjDeviceService {

    @Override
    public Map<String, String> getBuildAreaAllCount(String prisonName) {
        List<Map<String, Object>> buildAreaAllList = getBaseMapper().getBuildAreaAllCount(prisonName);
        Map<String, String> resultMap = new HashMap<>();
        if(buildAreaAllList != null && !buildAreaAllList.isEmpty()){
            for(Map<String, Object> map : buildAreaAllList){
                resultMap.put(String.valueOf(map.get("BUILDAREANAME")), String.valueOf(map.get("COUNT")));
            }
        }
        return resultMap;
    }

    @Override
    public Map<String, String> getBuildAreaCount(String prisonName, String buildAreaName) {
        List<Map<String, Object>> buildAreaList = getBaseMapper().getBuildAreaCount(prisonName, buildAreaName);
        Map<String, String> resultMap = new HashMap<>();
        if(buildAreaList != null && !buildAreaList.isEmpty()){
            for(Map<String, Object> map : buildAreaList){
                resultMap.put(String.valueOf(map.get("BUILDFLOORNAME")), String.valueOf(map.get("COUNT")));
            }
        }
        return resultMap;
    }

    @Override
    public List<String> getGbId(String prisonName, String buildAreaName, String floor) {
        List<Map<String, Object>> buildAreaList = getBaseMapper().getGbId(prisonName, buildAreaName, floor);
        List<String> resultList = new ArrayList<>();
        if(buildAreaList != null && !buildAreaList.isEmpty()){
            for(Map<String, Object> map : buildAreaList){
                resultList.add(String.valueOf(map.get("GBID")));
            }
        }
        return resultList;
    }
}
