package com.ces.web.device.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ces.web.device.entity.DeviceInfo;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * @author Tao
 */
public interface DeviceMapper extends BaseMapper<DeviceInfo> {

    List<String> getPrisonNameList();

    List<Map<String, Object>> getBuildNameList(String prisonName);

    List<String> getFloorNameList(@Param("prisonName") String prisonName, @Param("buildName") String buildName);

    List<Map<String, Object>> getCntByPrisonNameAndBuildName(@Param("prisonName") String prisonName, @Param("buildName")String buildName);

    List<String> getGbidByPrisonNameAndBuildNameAndFloor(@Param("prisonName")String prisonName, @Param("buildName")String buildName, @Param("floor") String floor);

    List<DeviceInfo> getDeviceListByDevice(DeviceInfo deviceInfo);

    @Select(value="select floor as floorName,to_char(count(1)) as monitorCount from JCY_MONITOR.DEVICE_INFO where prison_name=#{prisonName} and build_name=#{buildName} and nvl(floor,'')!='' group by floor order by floor")
    List<Map<String,String>> countByPrisonNameAndBuildName(@Param("prisonName") String prisonName, @Param("buildName") String buildName);

    @Select(value="select distinct floor from DEVICE_INFO where prison_name=#{prisonName} and area_name=#{areaName} and nvl(floor,'')!='' order by floor")
    List<String> findByPrisonNameAndAreaName(@Param("prisonName")String prisonName,@Param("areaName")String areaName);

    @Select(value="select floor as floorName,to_char(count(1)) as monitorCount from JCY_MONITOR.DEVICE_INFO where prison_name=#{prisonName} and area_name=#{areaName} and nvl(floor,'')!='' group by floor order by floor")
    List<Map<String,String>> countByPrisonNameAndAreaName(@Param("prisonName")String prisonName,@Param("areaName")String areaName);
    @Select(value="select * from JCY_MONITOR.DEVICE_INFO where prison_name=#{prisonName} and area_name=#{areaName} and floor=#{floor} and nvl(gb_id,'')!=''")
    List<DeviceInfo> findByPrisonAndAreaAndFloor(@Param("prisonName")String prisonName,@Param("areaName")String areaName,@Param("floor")String floor);

    @Select(value="select * from JCY_MONITOR.DEVICE_INFO where prison_name=#{prisonName} and build_name=#{buildName} and floor=#{floor} and nvl(gb_id,'')!=''")
    List<DeviceInfo> findByPrisonAndBuildAndFloor(@Param("prisonName")String prisonName,@Param("buildName")String buildName,@Param("floor")String floor);
}
