package com.ces.web.device.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ces.web.device.entity.Device;
import com.ces.common.core.domain.Result;
import com.ces.web.device.entity.DeviceInfo;

import java.util.List;
import java.util.Map;

/**
 * @author Tao
 */
public interface IDeviceService extends IService<DeviceInfo> {

    List<String> getPrisonList();

    List<Map<String, Object>> getBuildList(String prisonName);

    List<String> getFloorList(String prisonName, String buildName);

    List<Map<String, Object>> getCntByPrisonNameAndBuildName(String prisonName, String buildName);

    List<String> getGbidByPrisonNameAndBuildNameAndFloor(String prisonName, String buildName, String floor);

    Result getDeviceListByGbId(String gbId);

    List<String> findByPrisonNameAndAreaName(String prisonName, String areaName);


    List<Map<String,String>> countByPrisonNameAndBuildName(String prisonName, String buildName);

    List<Map<String,String>> countByPrisonNameAndAreaName(String prisonName, String areaName);

    List<DeviceInfo> findByPrisonAndAreaAndFloor(String prisonName,String areaName,String floorName);

    List<DeviceInfo> findByPrisonAndBuildAndFloor(String prisonName,String areaName,String floorName);
}
