package com.ces.web.hw.controller;

import com.ces.common.constant.Constant;
import org.apache.shiro.authz.annotation.RequiresRoles;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * @author Tao
 */
@Controller
@RequestMapping("/hw")
public class HWController {

    @GetMapping
    @RequiresRoles({Constant.RoleCode.WGS})
    public ModelAndView hwIndex() {
        return new ModelAndView("hw/areaPlan");
    }

    @GetMapping("/lt")
    @RequiresRoles({Constant.RoleCode.WGS})
    public ModelAndView ltIndex() {
        return new ModelAndView("hw/hw_hall");
    }

    @GetMapping("/wss")
    @RequiresRoles({Constant.RoleCode.WGS})
    public ModelAndView wssIndex() {
        return new ModelAndView("hw/hw_wss");
    }

    @GetMapping("/xkl")
    @RequiresRoles({Constant.RoleCode.WGS})
    public ModelAndView xklIndex() {
        return new ModelAndView("hw/hw_xkl");
    }

    @GetMapping("/jyl")
    @RequiresRoles({Constant.RoleCode.WGS})
    public ModelAndView jylIndex() {
        return new ModelAndView("hw/hw_jyl");
    }

    @GetMapping("/jcqy/{model}")
    @RequiresRoles({Constant.RoleCode.WGS})
    public ModelAndView jcqyIndex(@PathVariable String model) {
        ModelAndView mv = new ModelAndView("hw/hw_jcqy");
        mv.addObject("model", model);
        return mv;
    }

    @GetMapping("/bj")
    @RequiresRoles({Constant.RoleCode.WGS})
    public ModelAndView bjIndex() {
        return new ModelAndView("hw/hw_bj");
    }

    @GetMapping("/nj")
    @RequiresRoles({Constant.RoleCode.WGS})
    public ModelAndView njIndex() {
        return new ModelAndView("hw/hw_nj");
    }

    @GetMapping("/ncj")
    @RequiresRoles({Constant.RoleCode.WGS})
    public ModelAndView ncjIndex() {
        return new ModelAndView("hw/hw_ncj");
    }

    @GetMapping("/bcj")
    @RequiresRoles({Constant.RoleCode.WGS})
    public ModelAndView bcjIndex() {
        return new ModelAndView("hw/hw_bcj");
    }

    @GetMapping("/lhjl")
    @RequiresRoles({Constant.RoleCode.WGS})
    public ModelAndView lhjlIndex() {
        return new ModelAndView("hw/hw_lhjl");
    }
}
