package com.ces.web.index.ctrl;

import com.ces.common.core.domain.Result;
import com.ces.common.device.service.DeviceQueryService;
import com.ces.common.exception.AccountErrorException;
import com.ces.common.utils.ObjectUtils;
import com.ces.framework.authsystem.AuthSystemUtils;
import com.ces.web.device.service.IDeviceService;
import com.cesgroup.authen4.ws.entity.Account;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.servlet.ModelAndView;

import java.util.List;
import java.util.Map;

/**
 * @author Tao
 */
@RestController
@RequestMapping("/")
public class IndexController {

    @Autowired
    public DeviceQueryService deviceQueryService;

    @Autowired
    public IDeviceService deviceService;

    @GetMapping
    public ModelAndView mainView() {
        //地图
        return new ModelAndView("index");
    }

    @GetMapping("/atlas")
    public ModelAndView indexView() {
        return new ModelAndView("atlas");
    }

    @GetMapping("/demo")
    public ModelAndView demoTest() {
        return new ModelAndView("demo_1");
    }

    @GetMapping("/upPass")
    public ModelAndView upPassView() {
        return new ModelAndView("upPass");
    }

    @PostMapping("/upPass")
    public Result upPass(String loginName, String oldPass, String newPass) {

        try {
            // 判断旧密码是否正确
            Account account = AuthSystemUtils.getCoreHttpClientWS()
                    .queryAccountByLoginNameAndTenantId(loginName, AuthSystemUtils.getTenantId());

            if (account == null) {
                return Result.error("账号或旧密码错误！");
            }

            boolean passCheck = AuthSystemUtils.getCoreHttpClientWS().checkPasswordByUserId(account.getId(), oldPass);

            if (!passCheck) {
                return Result.error("账号或旧密码错误！");
            }

            AuthSystemUtils.getCoreHttpClientWS().changePassword(account.getId(), newPass);


        } catch (Exception e) {
            e.printStackTrace();
            return Result.error("账号或旧密码错误！");
        }

        return Result.success();
    }

    @GetMapping("/areaPlan")
    public ModelAndView prisonBuild(String name) {
        ModelAndView mv = new ModelAndView("comm/areaPlan");
        if (ObjectUtils.isBlank(name)) {
            return mv;
        }
        List<Map<String, Object>> buildList = deviceService.getBuildList(name);
        mv.addObject("prisonName", name);
        mv.addObject("buildList", buildList);
        return mv;
    }
}
