package com.ces.web.login.service;

import com.ces.common.constant.Constant;
import com.ces.common.exception.AccountErrorException;
import com.ces.common.exception.NoLoginPremException;
import com.ces.common.utils.ObjectUtils;
import com.ces.framework.authsystem.AuthSystemUtils;
import com.ces.framework.shiro.dto.UserDTO;
import com.cesgroup.authen4.ws.entity.Account;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author Tao
 * @date 2023/11/20
 */
@Service
public class LoginService {

    public UserDTO login(String loginName, String password, String tenantId) {

        // 判断用户名密码是否正确
        Account account = AuthSystemUtils.getCoreHttpClientWS()
                .queryAccountByLoginNameAndTenantId(loginName, tenantId);
        if (account == null) {
            throw new AccountErrorException("账号或密码错误");
        }

        boolean passCheck = AuthSystemUtils.getCoreHttpClientWS().checkPasswordByUserId(account.getId(),
                String.valueOf(password));

        if (!passCheck) {
            throw new AccountErrorException("账号或密码错误");
        }

        // 用户角色
        List<String> roleCodeList = AuthSystemUtils.getUserRoleCodeList(account.getId());

        return new UserDTO(account.getId(), account.getName(), account.getLoginName(), tenantId, roleCodeList);
    }
}
