package com.ces.web.nh.controller;

import com.ces.common.constant.Constant;
import com.ces.web.nh.service.INhDeviceService;
import org.apache.shiro.authz.annotation.RequiresRoles;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.servlet.ModelAndView;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/nh")
public class NhController {

    @Autowired
    private INhDeviceService nhDeviceService;

    private final String prisonName = "沪-南";

    @GetMapping("areaPlanView")
    @RequiresRoles({Constant.RoleCode.NH})
    public ModelAndView nhAreaPlanView () {
        return new ModelAndView("nh/nhAreaPlan");
    }

    @GetMapping
    @RequiresRoles({Constant.RoleCode.NH})
    public ModelAndView nhView (String buildAreaName) {
        ModelAndView modelAndView = new ModelAndView("nh/nh");
        modelAndView.addObject("buildAreaName", buildAreaName);
        return modelAndView;
    }

    @GetMapping("getBuildAreaAllCount")
    @RequiresRoles({Constant.RoleCode.NH})
    public Map<String, String> getBuildAreaAllCount () {
        return nhDeviceService.getBuildAreaAllCount(prisonName);
    }

    @GetMapping("getBuildAreaCount")
    @RequiresRoles({Constant.RoleCode.NH})
    public Map<String, String> getBuildAreaCount (String buildAreaName) {
        return nhDeviceService.getBuildAreaCount(prisonName, buildAreaName);
    }

    @GetMapping("getGbId")
    @RequiresRoles({Constant.RoleCode.NH})
    public List<String> getGbId (String buildAreaName, String floor) {
        return nhDeviceService.getGbId(prisonName, buildAreaName, floor);
    }
}
