package com.ces.web.zp.controller;

import com.ces.common.constant.Constant;
import com.ces.common.core.domain.Result;
import com.ces.web.device.service.IDeviceService;
import org.apache.shiro.authz.annotation.RequiresRoles;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.servlet.ModelAndView;

/**
 * @author YYB
 */
@Controller
@RequestMapping("/zp")
public class ZPController {
    @Autowired
    private IDeviceService deviceService;

    @GetMapping
    @RequiresRoles({Constant.RoleCode.ZP})
    public ModelAndView njIndex() {
        return new ModelAndView("zp/areaPlan");
    }

    @GetMapping("/jcqy")
    @RequiresRoles({Constant.RoleCode.ZP})
    public ModelAndView jcqyIndex(String buildName) {
        ModelAndView mv = new ModelAndView("zp/commonmodel");
        mv.addObject("buildName", buildName);
        mv.addObject("floorDeviceCnt",deviceService.getCntByPrisonNameAndBuildName("沪-周",buildName));
        return mv;
    }

    /**
     * 获取所有楼层及监控数量信息
     * @param buildName 大楼名称
     */
    @GetMapping("/getCntByBuildName")
    @RequiresRoles({Constant.RoleCode.ZP})
    public Result getCntByBuildName(String buildName) {
        return Result.success(deviceService.getCntByPrisonNameAndBuildName("沪-周",buildName));
    }

    /**
     * 获取楼层的监控信息
     * @param buildName 大楼名称
     */
    @GetMapping("/getGbidByBuildNameAndFloor")
    @RequiresRoles({Constant.RoleCode.ZP})
    @ResponseBody
    public Result getGbidByBuildNameAndFloor(String buildName,String floor) {
        return Result.success(deviceService.getGbidByPrisonNameAndBuildNameAndFloor("沪-周",buildName,floor));
    }
}
