<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="base.jsp"%>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>监狱地图</title>
    <script src="${ctx}/static/js/flexible.js"></script>
    <script src="${ctx}/static/js/jquery-1.8.1.min.js" type=text/javascript></script>
    <link rel="stylesheet" href="${ctx}/static/css/common.css">
    <style>
        .box_map{
            background-color: #081536;
            border-style: solid;
            border-width: 2px;
            border-image-source: linear-gradient(0deg,
            #00deff 0%,
            #151934 50%,
            #00deff 100%);
            border-image-slice: 1;
            opacity: 0.84;
            margin-bottom: 0.2rem;
        }
        .box_map.bot::before{
            content: '';
            position: absolute;
            top: 38%;
            left: 57%;
            height: 0.4rem;
            width: 0.5rem;
            background: url(${ctx}/static/images/bot_icon.png) no-repeat;
            transform: translateX(-50%);
        }
        .box_map.top::before{
            content: '';
            position: absolute;
            top: 48%;
            left: 53%;
            height: 0.4rem;
            width: 0.5rem;
            background: url(${ctx}/static/images/top_icon.png) no-repeat;
            transform: translateX(-50%);
        }
        .box_title{
            padding: 0 0.2rem;
        }
        .box_title img{
            width: 1rem !important;
            height: 1rem !important;
        }
        .box_title span{
            font-size: 0.45rem;
            font-family: 'SourceHanSansCN-Regular';
        }
    </style>
</head>
<body>
<div class="container">
    <div class="main-area">
        <div class="header-area">
            <a href="${ctx}"><img src="${ctx}/static/images/logo_mc.png"/></a>
        </div>
        <div class="area-content">
            <div class="loupan_map_box">
                <ul>
                    <shiro:hasRole name="${role_code_bs}">
                        <li class="index_01">
                            <a href="${ctx}/bs">
                                <div class="box_map bot">
                                    <div class="box_title">
                                        <img src="${ctx}/static/images/dalou2-mianxing.png" alt="">
                                        <span>宝山监狱</span>
                                    </div>
                                </div>
                                <img src="${ctx}/static/images/model_mc.png"/>
                            </a>
                        </li>
                    </shiro:hasRole>

                    <shiro:hasRole name="${role_code_wjc}">
                        <li class="index_02">
                            <a href="${ctx}/wjc">
                                <img src="${ctx}/static/images/model_mc.png"/>
                                <div class="box_map top">
                                    <div class="box_title">
                                        <img src="${ctx}/static/images/dalou2-mianxing.png" alt="">
                                        <span>五角场监狱</span>
                                    </div>
                                </div>
                            </a>
                        </li>
                    </shiro:hasRole>

                    <shiro:hasRole name="${role_code_xsf}">
                        <li class="index_03">
                            <a href="${ctx}/xinshoufan">
                                <div class="box_map bot">
                                    <div class="box_title">
                                        <img src="${ctx}/static/images/dalou2-mianxing.png" alt="">
                                        <span>新收犯监狱</span>
                                    </div>
                                </div>
                                <img src="${ctx}/static/images/model_mc.png"/>
                            </a>
                        </li>
                    </shiro:hasRole>

                    <shiro:hasRole name="${role_code_bxj}">
                        <li class="index_04">
                            <a href="${ctx}/bxj/areaPlanView">
                                <img src="${ctx}/static/images/model_mc.png"/>
                                <div class="box_map top">
                                    <div class="box_title">
                                        <img src="${ctx}/static/images/dalou2-mianxing.png" alt="">
                                        <span>北新泾监狱</span>
                                    </div>
                                </div>
                            </a>
                        </li>
                    </shiro:hasRole>

                    <shiro:hasRole name="${role_code_qp}">
                        <li class="index_05">
                            <a href="${ctx}/qp">
                                <div class="box_map bot">
                                    <div class="box_title">
                                        <img src="${ctx}/static/images/dalou2-mianxing.png" alt="">
                                        <span>青浦监狱</span>
                                    </div>
                                </div>
                                <img src="${ctx}/static/images/model_mc.png"/>
                            </a>
                        </li>
                    </shiro:hasRole>

                    <shiro:hasRole name="${role_code_nj}">
                        <li class="index_06">
                            <a href="${ctx}/nj">
                                <img src="${ctx}/static/images/model_mc.png"/>
                                <div class="box_map top">
                                    <div class="box_title">
                                        <img src="${ctx}/static/images/dalou2-mianxing.png" alt="">
                                        <span>女子监狱</span>
                                    </div>
                                </div>
                            </a>
                        </li>
                    </shiro:hasRole>

                    <shiro:hasRole name="${role_code_wgs}">
                        <li class="index_07">
                            <a href="${ctx}/hw">
                                <img src="${ctx}/static/images/model_mc.png"/>
                                <div class="box_map top">
                                    <div class="box_title">
                                        <img src="${ctx}/static/images/dalou2-mianxing.png" alt="">
                                        <span>未管所</span>
                                    </div>
                                </div>
                            </a>
                        </li>
                    </shiro:hasRole>

                    <shiro:hasRole name="${role_code_zp}">
                        <li class="index_08">
                            <a href="${ctx}/zp">
                                <img src="${ctx}/static/images/model_mc.png"/>
                                <div class="box_map top">
                                    <div class="box_title">
                                        <img src="${ctx}/static/images/dalou2-mianxing.png" alt="">
                                        <span>周浦监狱</span>
                                    </div>
                                </div>
                            </a>
                        </li>
                    </shiro:hasRole>

                    <shiro:hasRole name="${role_code_zyy}">
                        <li class="index_09">
                            <a href="${ctx}/zongyiyuan">
                                <div class="box_map bot">
                                    <div class="box_title">
                                        <img src="${ctx}/static/images/dalou2-mianxing.png" alt="">
                                        <span>总医院</span>
                                    </div>
                                </div>
                                <img src="${ctx}/static/images/model_mc.png"/>

                            </a>
                        </li>
                    </shiro:hasRole>

                    <shiro:hasRole name="${role_code_nh}">
                        <li class="index_10">
                            <a href="${ctx}/nh/areaPlanView">
                                <img src="${ctx}/static/images/model_mc.png"/>
                                <div class="box_map top">
                                    <div class="box_title">
                                        <img src="${ctx}/static/images/dalou2-mianxing.png" alt="">
                                        <span>南汇监狱</span>
                                    </div>
                                </div>
                            </a>
                        </li>
                    </shiro:hasRole>

                </ul>
            </div>
        </div>
    </div>
</div>

<script>
    $(function () {
        $(".area-content li a").mousemove(function () {
            $(this).find(">img:first").attr('src', '${ctx}/static/images/room_03.png');
        }).mouseout(function() {
            $(this).find(">img:first").attr('src', '${ctx}/static/images/model_mc.png');
        })
    })
</script>
</body>
</html>