<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<jsp:include page="../base.jsp"/>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>北新泾监狱</title>
    <script src="${ctx}/static/js/flexible.js"></script>
    <link rel="stylesheet" href="${ctx}/static/css/common.css">
    <style>
        .area-right{
            background: url(${ctx}/static/images/floor_lp.png) no-repeat;
            height: 23rem;
            float: right;
            background-size: cover;
            width: 78%;
            background-size: 100% 100%;
        }

        .area-box li {
            cursor: pointer;
        }
    </style>
</head>
<body>
<div class="container">
    <div class="main-area">
        <div class="header-area">
            <img src="${ctx}/static/images/logo_mc.png"/>
        </div>
        <div class="area-content">
            <div class="area-left">
                <div class="title"><a href="${ctx}/atlas">北新泾监狱</a></div>
                <div class="left-menu">
                    <ul>
                        <li>
                            <div class="menu-mc">
                                <span>一监区</span>
                            </div>
                            <div class="menu-num">
                                <span>监控点</span>
                                <span style="background-color: #43e04e;">0</span>
                            </div>
                        </li>
                        <li>
                            <div class="menu-mc">
                                <span>二监区</span>
                            </div>
                            <div class="menu-num">
                                <span>监控点</span>
                                <span style="	background-color: #2f8fff;">0</span>
                            </div>
                        </li>
                        <li>
                            <div class="menu-mc">
                                <span>三监区</span>
                            </div>
                            <div class="menu-num">
                                <span>监控点</span>
                                <span style="background-color: #ff6363;">0</span>
                            </div>
                        </li>
                        <li>
                            <div class="menu-mc">
                                <span>四监区</span>
                            </div>
                            <div class="menu-num">
                                <span>监控点</span>
                                <span style="background-color: #ff8a00;">0</span>
                            </div>
                        </li>
                        <li>
                            <div class="menu-mc">
                                <span>五监区</span>
                            </div>
                            <div class="menu-num">
                                <span>监控点</span>
                                <span style="background-color: #ff6363;">0</span>
                            </div>
                        </li>
                        <li>
                            <div class="menu-mc">
                                <span>六监区</span>
                            </div>
                            <div class="menu-num">
                                <span>监控点</span>
                                <span style="	background-color: #ffba00;">0</span>
                            </div>
                        </li>
                        <li>
                            <div class="menu-mc">
                                <span>七监区</span>
                            </div>
                            <div class="menu-num">
                                <span>监控点</span>
                                <span style="background-color: #43e04e;">0</span>
                            </div>
                        </li>
                        <li>
                            <div class="menu-mc">
                                <span>卫生所</span>
                            </div>
                            <div class="menu-num">
                                <span>监控点</span>
                                <span style="background-color: #ffba00;">0</span>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="area-right">
                <div class="area-box">
                    <ul>
                        <li class="a_floor">
                            <a href="javascript:void(0);"> <img src="${ctx}/static/images/A_floor.png"/></a>
                            <span>一监区</span>
                        </li>
                        <li class="bg1_floor">
                            <a href="javascript:void(0);">  <img src="${ctx}/static/images/bgq_floor.png"/></a>
                            <span>二监区</span>
                        </li>
                        <li class="b_floor">
                            <a href="javascript:void(0);">  <img src="${ctx}/static/images/B_floor.png"/></a>
                            <span>三监区</span>
                        </li>
                        <li class="g_floor">
                            <a href="javascript:void(0);">  <img src="${ctx}/static/images/G_floor.png"/></a>
                            <span>四监区</span>
                        </li>
                        <li class="c_floor">
                            <a href="javascript:void(0);">  <img src="${ctx}/static/images/C_floor.png"/></a>
                            <span>五监区</span>
                        </li>
                        <li class="e_floor">
                            <a href="javascript:void(0);">  <img src="${ctx}/static/images/E_floor.png"/></a>
                            <span>六监区</span>
                        </li>
                        <li class="d_floor">
                            <a href="javascript:void(0);"> <img src="${ctx}/static/images/D_floor.png"/></a>
                        </li>
                        <li class="d_floor_index">
                            <a href="javascript:void(0);"><img src="${ctx}/static/images/D_floor_1.png"/></a>
                            <span>卫生所</span>
                        </li>
                        <li class="f_floor">
                            <a href="javascript:void(0);"><img src="${ctx}/static/images/F_floor.png"/></a>
                            <span>七监区</span>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
    var bxjArea = {

        getBuildAreaAllCount: function(){
            $.ajax({
                url: ctx + "/bxj/getBuildAreaAllCount",
                success: function(data){
                    var $li = $('div.left-menu li');
                    for(let i = 0; i < $li.length; i++) {
                        var $liIndex = $($li[i]);
                        var buildAreaName = $liIndex.find('.menu-mc > span').html();
                        var count = data[buildAreaName];
                        $liIndex.find('.menu-num > span').eq(1).html(count);
                    }
                }
            });
        },
        initPage: function(){
            $('div.area-box li').on('click', function(){
                var buildAreaName = $(this).find('span').html();
                if (buildAreaName) {
                    window.open(ctx + '/bxj?buildAreaName=' + encodeURIComponent(buildAreaName), '_self');
                }
            });
            $('.area-content .left-menu li').on('click', function () {
                var buildAreaName = $(this).find('.menu-mc>span').html();
                if (buildAreaName) {
                    window.open(ctx + '/bxj?buildAreaName=' + encodeURIComponent(buildAreaName), '_self');
                }
            })
        },
        init: function (){
            this.initPage();
            this.getBuildAreaAllCount();
        }
    }
    bxjArea.init();
</script>
</body>
</html>