<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%
    request.setAttribute("ctx", request.getContextPath());
%>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="${ctx}/static/js/kmedia-uni.js"></script>
    <style>
        #app {
            width: 600px;
            height: 400px;
        }
    </style>
</head>
<body>
<div id="handler-container"></div>
<button onclick="loadVideo(true)">加载实时流</button>
<button onclick="loadVideo(false)">加载录像回放</button>
<button onclick="exec('loadVideo')">销毁</button>
<button onclick="get10Thumbnail()">获取10s缩略图</button>
<br><br>
<div id="app"></div>
<p>========== 接口测试 ==========</p>
<span>实时操作</span>
<button onclick="exec('ptz', 'left')">云台左转</button>
<button onclick="exec('ptz', 'stop')">关闭云台左转</button>
<button onclick="exec('startVoiceCall')">开启反向语音</button>
<button onclick="exec('stopVoiceCall')">关闭反向语音</button>
<button onclick="exec('startRecord')">开始录制</button>
<button onclick="exec('stopRecord')">结束录制</button>
<button onclick="exec('cancelRecord')">取消录制</button>
<br><br>
<span>回放操作</span>
<button onclick="exec('play')">恢复播放</button>
<button onclick="exec('pause')">暂停</button>
<button onclick="exec('currentTime', 10)">seek到10s</button>
<button onclick="exec('frameForward')">帧进</button>
<button onclick="exec('frameReverse')">帧退</button>
<button onclick="exec('reversePlay')">倒播</button>
<button onclick="exec('exitReversePlay')">退出倒播</button>
<button onclick="exec('changeResolution', 'D1')">切换D1分辨率</button>
<button onclick="startLoopVideo()">开始轮询</button>
<button onclick="stopLoopVideo()">停止轮询</button>
<p>========== 缩略图展示 ==========</p>
<img src=" " id="imgID" width="750" height="480">
<script>
    const defaultValue = {
        websocketUrl: 'ws://172.100.100.21:32101',
        devId: '31011800001320000625',
        nmediaId: '',
        startTime: '2022-10-26T10:00:00',
        endTime: '2022-10-27T00:00:00'
    };

    const box = document.getElementById('handler-container');
    ['devId', 'websocketUrl', 'nmediaId', 'startTime', 'endTime'].forEach(key => {
        const p = document.createElement('p');
        p.innerText = key + ': ';
        p.style.margin = '2px 0';

        const input = document.createElement('input');
        input.onchange = e => {
            localStorage.setItem(key, e.target.value);
            defaultValue[key] = e.target.value;
        }
        p.appendChild(input);

        if (localStorage.getItem(key) !== null) {
            defaultValue[key] = localStorage.getItem(key);
        }
        input.value = defaultValue[key];

        box.appendChild(p);
    });

    const MODE = KMediaUni.MODE;
    let timer = null;
    let player = new KMediaUni({
        selector: '#app',
        loading: true,
        showMessage: true,
        request: {
            silentConnection: true,
        },
        control: {
            hideControlsBar: false,
            tools: Object.values(KMediaUni.TOOLS)
        }
    });
    ;

    function loadVideo(isLive) {
        console.log("default value ", defaultValue);
        document.getElementById("imgID").src = " ";
        player.loadVideo({
            src: {
                ...defaultValue,
                ...(
                    isLive
                        ? {
                            startTime: undefined,
                            endTime: undefined
                        }
                        : {}
                )
            },
            transport: MODE.WEBRTC,
            autoplay: true
        });
    }

    function startLoopVideo() {
        timer = setInterval(() => {
            loadVideo(true)
        }, 200);
    }

    function stopLoopVideo() {
        timer && clearInterval(timer)
    }

    function exec(cmd, ...args) {
        if (player && player[cmd]) {
            player[cmd](...args);
        } else {
            console.error('not find', cmd);
        }
    }

    function get10Thumbnail() {
        player.getThumbnail(10).then(res => {
            console.log(res); // 'data:image/png;base64...'
            document.getElementById("imgID").src = res;
        }); // 获取10s位置的缩略图
    }

</script>
</body>
</html>