<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%
    request.setAttribute("ctx", request.getContextPath());
%>
<html>
<head>
    <title>监控业务平台-登录</title>
    <link rel="stylesheet" href="${ctx}/static/css/bootstrap.min.css" />
    <script src="${ctx}/static/js/jquery-1.8.1.min.js" type=text/javascript></script>
    <script src="${ctx}/static/js/bootstrap.min.js" type="text/javascript"></script>
    <style>
        *{
            font-family: 微软雅黑, serif;
        }
        html,body{
            width: 100%;
            height: 100%;
        }
        .app{
            width: 100%;
            height: 100%;
            background-image: url(${ctx}/static/images/home_bj.png);
        }
        .header-title{
            text-align: center;
            color: #fff;
        }
        .header-title h2{
            line-height: 150px;
        }
        .login-container{
            margin-top: 150px;
            border-radius: 10px;
            background-color: rgba(255, 255, 255, .3);
            padding: 10px;
        }
        .box-title{
            color: #fff;
            font-size: 1.5rem;
        }
        .loginForm{
            margin-top: 25px;
            padding: 10px 50px;
        }
        .form-label{
            color: #fff;
        }
    </style>
</head>
<body>
<div class="app">
    <div class="header-title">
        <h2>监控业务平台</h2>
    </div>
    <div class="container">
        <div class="row">
            <div class="col-md-3"></div>
            <div class="col-md-6">
                <div class="login-container">
                    <div class="box-title text-center">登 录</div>
                    <form class="loginForm">
                        <div class="mb-3">
                            <label for="loginName" class="form-label">账 号</label>
                            <input type="text" class="form-control" id="loginName">
                        </div>
                        <div class="mb-3">
                            <label for="password" class="form-label">密 码</label>
                            <input type="password" class="form-control" id="password">
                        </div>
                        <div class="mb-3 text-center" style="margin-top: 35px">
                            <a type="button" class="btn btn-primary" id="loginSubmit">登&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;录</a>
                            <a class="btn btn-primary" href="${ctx}/upPass">修改密码</a>
                        </div>
                    </form>
                </div>
            </div>
            <div class="col-md-3"></div>
        </div>
    </div>
</div>

<script>

    let ctx = '${ctx}';

    $(function () {

        // 监听登录点击
        $("#loginSubmit").click(function () {

            loginHandle();
        })

        $(document).keydown(function(event){
            if(event.keyCode === 13){
                loginHandle();
            }
        });

        function loginHandle() {
            let loginName = $("#loginName").val();
            let password = $("#password").val();

            if ((!loginName) || (!password)) {
                alert('账号或密码不能为空！');
                return;
            }

            $.ajax({
                url: ctx + '/login',
                type: 'post',
                data: {loginName: loginName, password: password},
                dataType: 'json',
                success: function (res) {
                    if (res.success) {
                        window.location.href = ctx;
                        return;
                    }
                    alert(res.message);
                }
            })
        }
    })
</script>
</body>
</html>
