package com.ces.test;

import cn.hutool.poi.excel.ExcelReader;
import cn.hutool.poi.excel.ExcelUtil;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.ces.common.device.dto.DeviceDTO;
import com.ces.common.device.service.DeviceQueryService;
import com.ces.common.utils.ObjectUtils;
import com.ces.web.device.entity.DeviceInfo;
import com.ces.web.device.service.IDeviceService;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.regex.Matcher;
import java.util.regex.Pattern;


/**
 * @author Tao
 * @date 2023/10/27
 */
@RunWith(SpringRunner.class)
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
public class Test {

    @Autowired
    private IDeviceService deviceService;

    public static void main(String[] args) throws IOException {
        /*Pattern pattern = Pattern.compile("^\\d+WC$");
        Matcher matcher = pattern.matcher("10WC");
        System.out.println(matcher.matches());*/

        JSONObject jsonObject = JSONObject.parseObject(Files.newInputStream(Paths.get("D:\\guangdian\\sy\\response.json")), JSONObject.class);

        System.out.println(jsonObject);

        JSONObject data = jsonObject.getJSONObject("result");

        JSONArray jsonArray = data.getJSONArray("data");

        for (Object o : jsonArray) {
            JSONObject jobj = (JSONObject) o;

            System.out.println(jobj);
        }

    }

    @org.junit.Test
    public void test1() {

        String[] sheets = {"Sheet0", "Sheet1", "Sheet2", "Sheet3", "Sheet4"};

        /*for (String sheetName : sheets) {

            ExcelReader reader = ExcelUtil.getReader(new File("D:\\guangdian\\sy\\新收犯100.0.0.241.xlsx"), sheetName);

            List<Map<String, Object>> maps = reader.readAll();

            this.resHandle(maps);
        }*/

        ExcelReader reader = ExcelUtil.getReader(new File("D:\\guangdian\\sy\\新收犯100.0.0.241.xlsx"), sheets[4]);

        List<Map<String, Object>> maps = reader.readAll();

        this.resHandle(maps);

    }

    public void resHandle(List<Map<String, Object>> deviceInfoList) {

        List<DeviceInfo> deviceInfos = new ArrayList<>();

        for (Map<String, Object> map : deviceInfoList) {

            DeviceInfo deviceInfo = getDeviceInfo(map);

            deviceInfos.add(deviceInfo);
        }

        deviceService.saveBatch(deviceInfos);
//        System.out.println(deviceInfos);
    }

    public DeviceInfo getDeviceInfo(Map<String, Object> map) {

        DeviceInfo device = new DeviceInfo();

        String chnnalName = ObjectUtils.toString(map.get("ChnnalName"));

        this.deviceNameHandle(device, chnnalName);

        return device;
    }

    public void deviceNameHandle(DeviceInfo device, String chnnalName) {

        if (ObjectUtils.isBlank(chnnalName)) {
            return;
        }

        String[] nameArray = chnnalName.split("-");

        String areaName = nameArray[2];

        String floor = nameArray[3];

        String deviceN = null;

        if (nameArray.length < 5) {
            deviceN = floor;
        } else  {
            deviceN = nameArray[4];
        }

        device.setAreaName(areaName);
        device.setFloor(floor);
        device.setName(deviceN);
        device.setDeviceNo("1");

        Pattern pattern = Pattern.compile("^\\d{1}$");
        Matcher matcher = pattern.matcher(deviceN);

        if (matcher.matches()) {
            device.setName(floor);
            device.setDeviceNo(deviceN);
        }

        Pattern pattern1 = Pattern.compile("^\\d{1}WC$");
        Matcher matcher1 = pattern1.matcher(deviceN);

        if (matcher1.matches()) {
            device.setName("WC");
            device.setDeviceNo(deviceN.substring(0, 1));
        }

        Pattern pattern2 = Pattern.compile("^\\d+罪犯$");
        Matcher matcher2 = pattern2.matcher(deviceN);

        if (matcher2.matches()) {
            device.setName("罪犯");
            Pattern nPattern = Pattern.compile("\\d+");
            Matcher nMatcher = nPattern.matcher(deviceN);
            while (nMatcher.find()) {
                device.setDeviceNo(nMatcher.group());
            }
        }

        Pattern pattern3 = Pattern.compile("^\\d+家属$");
        Matcher matcher3 = pattern3.matcher(deviceN);

        if (matcher3.matches()) {
            device.setName("家属");
            Pattern nPattern = Pattern.compile("\\d+");
            Matcher nMatcher = nPattern.matcher(deviceN);
            while (nMatcher.find()) {
                device.setDeviceNo(nMatcher.group());
            }
        }

        /*Pattern pattern2 = Pattern.compile("^大室\\d{1}$");
        Matcher matcher2 = pattern2.matcher(deviceN);

        if (matcher2.matches()) {
            device.setName("大室");
            device.setDeviceNo(deviceN.substring(2, 1));
        }

        Pattern pattern3 = Pattern.compile("^文化矫治室\\d{1}$");
        Matcher matcher3 = pattern3.matcher(deviceN);

        if (matcher3.matches()) {
            device.setName("文化矫治室");
            device.setDeviceNo(deviceN.substring(5, 1));
        }

        Pattern pattern4 = Pattern.compile("^病房\\d{1}$");
        Matcher matcher4 = pattern4.matcher(deviceN);

        if (matcher4.matches()) {
            device.setName("病房");
            device.setDeviceNo(deviceN.substring(2, 1));
        }

        Pattern pattern5 = Pattern.compile("^提审\\d{1}$");
        Matcher matcher5 = pattern5.matcher(deviceN);

        if (matcher5.matches()) {
            device.setName("提审");
            device.setDeviceNo(deviceN.substring(2, 1));
        }*/

    }

    public String ifNull(String val) {

        return ObjectUtils.isNotBlank(val) ? val : null;
    }

    @org.junit.Test
    public void readJsonData() throws IOException {

        JSONObject jsonObject = JSONObject.parseObject(Files.newInputStream(Paths.get("D:\\guangdian\\sy\\response.json")), JSONObject.class);

        JSONObject data = jsonObject.getJSONObject("result");

        JSONArray jsonArray = data.getJSONArray("data");

        for (Object obj : jsonArray) {

            JSONObject deviceInfo = (JSONObject) obj;

            System.out.println(deviceInfo);

            break;
        }

        System.out.println(jsonArray.size());
    }

/*

    private String toChinese(int num) {

        String[] s1 = {"零", "一", "二", "三", "四", "五", "六", "七", "八", "九"};
    }*/

    @Autowired
    private DeviceQueryService deviceQueryService;

    @org.junit.Test
    public void getById() {
        DeviceDTO device = deviceQueryService.getDeviceById("b5fc38f57e3647658414d0f11719d251");

        System.out.println(device);
    }
}
