package com.ces.test;

import cn.hutool.poi.excel.ExcelReader;
import cn.hutool.poi.excel.ExcelUtil;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.ces.common.utils.ObjectUtils;
import com.ces.web.device.entity.DeviceInfo;
import com.ces.web.device.service.IDeviceService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.sql.SQLOutput;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

/**
 * @author Tao
 * @date 2023/11/7
 */
@SpringBootTest
@RunWith(SpringRunner.class)
public class Test2 {

    @Autowired
    private IDeviceService deviceService;

    @Test
    public void test1() throws IOException {

        JSONObject obj = JSONObject.parseObject(Files.newInputStream(Paths.get("D:\\guangdian\\sy\\all_7122.json")), JSONObject.class);

        System.out.println(obj.getJSONArray("data").size());
    }

    @Test
    public void test2() throws IOException {
        Map<String, JSONObject> jsonMap = new HashMap<>();
        // 先加载json数据
        JSONObject obj = JSONObject.parseObject(Files.newInputStream(Paths.get("D:\\guangdian\\sy\\all_7122.json")), JSONObject.class);
        JSONArray jsonArray = obj.getJSONArray("data");
        for (Object o : jsonArray) {
            JSONObject jsonObject = (JSONObject) o;
            String deviceName = jsonObject.getString("deviceName");
            jsonMap.put(deviceName, jsonObject);
        }

        String excelPath = "D:\\guangdian\\sy\\WGS摄像头清单(位置).xlsx";

        ExcelReader reader = ExcelUtil.getReader(new File(excelPath));
        List<Map<String, Object>> maps = reader.readAll();

        int i = 0;
        for (Map<String, Object> map : maps) {
            String address = ObjectUtils.toString(map.get("address"));
            String local = ObjectUtils.toString(map.get("local"));

            DeviceInfo deviceInfo = new DeviceInfo();
            deviceInfo.setName(address);
            deviceInfo.setPrisonName("沪-未管所");

            if (local.contains("教育楼") || address.contains("教育楼")) {
                deviceInfo.setBuildName("教育楼");
                deviceInfo.setFloor(local.substring(3));
            }

            JSONObject jsonObject = jsonMap.get(address);

            deviceInfo.setBussId(jsonObject.getString("id"));
            deviceInfo.setGbId(jsonObject.getString("gbid"));
            deviceInfo.setStatus(jsonObject.getString("status"));

            deviceService.save(deviceInfo);
            i ++;
        }

        System.out.println(i);

    }

    @Test
    public void test3() {

        String s = "教育楼三楼";

        System.out.println(s.substring(s.indexOf("教育楼") + 3));
    }
}
