package com.ces.test;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.ces.web.device.entity.DeviceInfo;
import com.ces.web.device.mapper.DeviceMapper;
import com.ces.web.device.service.IDeviceService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @author Tao
 * @date 2023/11/8
 */
@SpringBootTest
@RunWith(SpringRunner.class)
public class Test3 {

    private static final Logger logger = LoggerFactory.getLogger(Test3.class);

    @Autowired
    private IDeviceService deviceService;

    @Resource
    private DeviceMapper deviceMapper;

    @Test
    public void test1() {
        List<String> prisonList = deviceMapper.getPrisonNameList();

        for (String prisonName : prisonList) {
            List<Map<String, Object>> buildNameList = deviceMapper.getBuildNameList(prisonName);
            System.out.println(buildNameList);
        }
    }

    @Test
    public void importData() throws IOException {

        List<DeviceInfo> list = deviceService.list();

        List<String> existsIdList = list.stream().map(DeviceInfo::getBussId).collect(Collectors.toList());

        JSONObject obj = JSONObject.parseObject(Files.newInputStream(Paths.get("D:\\guangdian\\sy\\all_7122.json")), JSONObject.class);

        JSONArray jsonArray = obj.getJSONArray("data");

        int i = 0;

        for (Object o : jsonArray) {
            i ++;
            JSONObject jsonObject = (JSONObject) o;
            String bussId = jsonObject.getString("id");
            String deviceName = jsonObject.getString("deviceName");

            if (!existsIdList.contains(bussId)) {
                DeviceInfo deviceInfo = new DeviceInfo();
                deviceInfo.setBussId(bussId);
                deviceInfo.setGbId(jsonObject.getString("gbid"));
                deviceInfo.setName(deviceName);
                deviceInfo.setStatus(jsonObject.getString("status"));
                deviceService.save(deviceInfo);
            }
            logger.info(i + "");
        }
    }
}
